Skip to main content
GET
Get location by slug

Authorizations

x-api-key
string
header
default:sfk_your_api_key
required

Storefront API key (sfk_...)

Path Parameters

slug
string
required

Location slug

Response

200 - application/json

Location retrieved successfully

id
string
required

Unique identifier of the location

Example:

"123e4567-e89b-12d3-a456-426614174000"

storeId
string
required

ID of the store that owns this location

Example:

"123e4567-e89b-12d3-a456-426614174001"

scheduleId
string | null
required

ID of the schedule assigned to this location (if any)

Example:

"123e4567-e89b-12d3-a456-426614174002"

title
string | null
required

Name of the location

Example:

"Main Office"

description
string | null
required

Description of the location

Example:

"Our main downtown office location with 3 treatment rooms"

slug
string
required

URL-friendly slug for the location (unique per store)

Example:

"new-york"

type
enum<string>
required

Type of location

Available options:
physical,
online,
delivery
Example:

"physical"

URL link for online locations

Example:

"https://zoom.us/j/123456789"

addressLine1
string | null
required

First line of address for physical locations

Example:

"123 Main Street"

addressLine2
string | null
required

Second line of address for physical locations

Example:

"Suite 200"

city
string | null
required

City for physical locations

Example:

"San Francisco"

state
string | null
required

State/province for physical locations

Example:

"CA"

postalCode
string | null
required

Postal code for physical locations

Example:

"94105"

country
string | null
required

Country for physical locations

Example:

"United States"

addressPlaceId
string | null
required

Google Place ID for the physical address

Example:

"ChIJIQBpAG2ahYAR_6128GcTUEo"

latitude
number | null
required

Latitude in WGS84

Example:

37.4224764

longitude
number | null
required

Longitude in WGS84

Example:

-122.0842499

createdAt
string
required

Date when the location was created

Example:

"2023-01-20T08:30:00Z"

updatedAt
string | null
required

Date when the location was last updated

Example:

"2023-02-15T14:20:00Z"

deletedAt
string | null
required

Date when the location was deleted (for soft deletes)

Example:

"2023-03-10T11:45:00Z"

address
string | null
required

The formatted address string

products
object[]
required

Products that can be offered at this location

staffMembers
object[]
required

Staff members who can work at this location

schedule
object | null
required

Schedule assigned to the location

availabilities
object[]
required

Availability records for this location

Last modified on July 26, 2026